# disk-file-writer

## purpose

1. Create a local logging system
   * write log into disk files
   * set max size for each log file
   * keep the log file in disk for a month/week/several days
   * log rotate
   * keep the log file in a safe disk place where only chrome can access
2. Recording a web meeting locally
   * write recorded stream into disk file
   * add multiple audio stream, mix it and write to file

## Usage

- install

```basj
npm install disk-file-writer
```

- init

```js
import FileWriter from 'disk-file-writer';

const fileWriter = new FileWriter({
    maxDaysToKeepFile: 30, // keep log file for a month
    fileSizeQuota: 1024 * 1024 * 5 // 5MB for each log file
});

```

- start writing video
```js
fileWriter.startWriteVideoFile({
    shareScreen: true, // shareScreen, and record the content of the shared screen
    recordMicrophone: true // record the voice into the microphone
})
```

- finish writing video
```js
fileWriter.stopWriteVideoFile();
```